Option Explicit

#include local-parameters.inc
#include ..\lib\framework_domotics.vbs

Sub main
Dim astrXCOPY_BIN
Dim astrCOPY_BIN
Dim astrGZ_BIN
Dim astrTAR_BIN

Dim astrDISK
Dim astrROOT_FOLDER
Dim astrTMP_FOLDER

Dim astrBACKUP_FOLDER

LoadPropertyFile G_FOLDER_NAME, G_FILE_INI

'astrXCOPY_BIN  	= hs.GetINISetting("COMMON","XCOPY_BIN","",G_FILE_INI)
'astrCOPY_BIN 		= hs.GetINISetting("COMMON","COPY_BIN","",G_FILE_INI)
astrGZ_BIN  		= hs.GetINISetting("COMMON","GZ_BIN","",G_FILE_INI)
astrTAR_BIN 		= hs.GetINISetting("COMMON","TAR_BIN","",G_FILE_INI)

astrDISK 			= hs.GetINISetting("COMMON","DISK","",G_FILE_INI)
astrROOT_FOLDER 	= hs.GetINISetting("COMMON","ROOT_FOLDER","",G_FILE_INI)
astrTMP_FOLDER 		= hs.GetINISetting("COMMON","TMP_FOLDER","",G_FILE_INI)

astrBACKUP_FOLDER	= hs.GetINISetting("COMMON","BACKUP_FOLDER","",G_FILE_INI)

If isFolderExist(astrDISK & astrROOT_FOLDER) Then
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_INF, astrDISK & astrROOT_FOLDER & " found", G_LOG_FILE	
Else
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_SEV, astrDISK & astrROOT_FOLDER & " not found", G_LOG_FILE
End if

If isFolderExist(astrDISK & astrROOT_FOLDER & astrTMP_FOLDER) Then
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_INF, astrDISK & astrROOT_FOLDER & astrTMP_FOLDER & " found", G_LOG_FILE	
Else
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_SEV, astrDISK & astrROOT_FOLDER & astrTMP_FOLDER & " not found", G_LOG_FILE
End if

If isFileExist(astrDISK & astrROOT_FOLDER & astrTAR_BIN) Then
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_INF, astrDISK & astrROOT_FOLDER & astrTAR_BIN & " found", G_LOG_FILE	
Else
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_SEV, astrDISK & astrROOT_FOLDER & astrTAR_BIN & " not found", G_LOG_FILE
End if

If isFileExist(astrDISK & astrROOT_FOLDER & astrGZ_BIN) Then
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_INF, astrDISK & astrROOT_FOLDER & astrGZ_BIN & " found", G_LOG_FILE	
Else
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_SEV, astrDISK & astrROOT_FOLDER & astrGZ_BIN & " not found", G_LOG_FILE
End if

If isFolderExist(astrBACKUP_FOLDER) Then
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_INF, astrBACKUP_FOLDER & " found", G_LOG_FILE
Else
	WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_CRI, astrBACKUP_FOLDER & " not found", G_LOG_FILE
End if	

WriteLog G_FOLDER_NAME, G_SCRIPT_INS, G_TIV_INF, G_FOLDER_NAME & " installed.", G_LOG_FILE

End Sub